Subject: Re: bug#5727: 23.1.92; Clicking size-indicator-mode indicator gives wrong menu

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 23:25:54 -0800

"Drew Adams" <[email-masked]> writes:

> Click the size-indicator-mode indicator (e.g `Top') in the mode line. The menu
> shown is wrong - it is the same menu as is shown when you click the line or
> column number.
>
> It should instead have the menu item `Toggle Size Indicator Mode'.
>
> If the aim was to have some way to turn on line and column number display when
> these are both off, then you might add those menu items to the one above (to
> toggle size indicator mode). 
>
> But even then this is the wrong approach. You should not click Peter to modify
> Paul.

I guess.  But, on the other hand, it's nice to be able to get the line
numbers back if you've removed them.  Perhaps that's the reason it was
done this way?

I agree that the current mode bare menus are confused.  And I would be
surprised if anybody ever used them.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/